> For the complete documentation index, see [llms.txt](https://docs.redutzu.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redutzu.com/resources/redutzu-mdt/exports-events/server-exports/weapons.md).

# Weapons

Here, you'll find key exports for managing weapons. These exports allow you to register and update weapons as needed.

***

## Type

<pre class="language-typescript"><code class="lang-typescript"><strong>type Weapon = {
</strong>    name: string,
    label: string, 
    serial: string, 
    notes: string, 
    evidences: {
        id: number,
        createdAt: string
    }[]
}
</code></pre>

## Exports

### Search for a weapon

```lua
exports['redutzu-mdt']:SearchWeapon(serial: string) // WeaponType | null
```

### Register a new weapon

```lua
local serialNumber = exports['redutzu-mdt']:GenerateWeaponSerial()

exports['redutzu-mdt']:RegisterWeapon({
  label = 'Pistol',
  name = 'weapon_pistol', -- this must be the same as in your GetWeapons function
  serial = serialNumber, -- you can generate your own serial number but it must be unique
  identifier = 'license:1234567890', -- owner identifier (QBCore: citizenid, ESX/Standalone: Identifier)
  notes = 'Weapon notes'
}) -- string (serial number)
```

### Generate a weapon Serial

<pre class="language-lua"><code class="lang-lua">-- It returns a string
<strong>exports['redutzu-mdt']:GenerateWeaponSerial() // string (generates an UNIQUE serial number)
</strong></code></pre>

### Update a weapons info

```lua
-- It returns a boolean (if it was successfully updated)
exports['redutzu-mdt']:UpdateWeapon('serialNumber', { notes = 'Updated notes' }) -- boolean
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redutzu.com/resources/redutzu-mdt/exports-events/server-exports/weapons.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
